import type { Relationship } from '../../../lib/types/application/relationship.js';
/**
 * Whether the two relationships are absolutely equal
 * @param relationshipA
 * @param relationshipB
 * @returns
 */
export declare function relationshipEquals(relationshipA: Relationship, relationshipB: Relationship): boolean;
/**
 * Whether the two relationships are equal, except for the foreign key on handlers, indicating that foreign key recreation is sufficient
 * @param relationshipA
 * @param relationshipB
 * @returns
 */
export declare function relationshipNeedsForeignKeyRecreationOnly(relationshipA: Relationship, relationshipB: Relationship): boolean;
export declare function prepareRelationshipForLiquibase(entity: any, relationship: any): any;
